﻿@page "/uncertain-phrases"
@using Syncfusion.Blazor.Grids

<PageTitle>Uncertain Phrases</PageTitle>

<h1>Uncertain Phrases</h1>

<div class="row">
    <div class="col mb-3">
        <a href="/uncertain-phrases/create" class="btn btn-primary float-right">Create Uncertain Phrase</a>
    </div>
</div>
<div class="row">
    <div class="col">
        <SfGrid ID="Grid" @ref="Grid" DataSource="@UncertainPhrases" AllowGrouping="true" AllowSorting="true" AllowPaging="true" AllowResizing="true" AllowFiltering="true" Toolbar="@(new List<string>() { "Search", "ExcelExport", "CsvExport", "PdfExport", "ColumnChooser" })" ShowColumnChooser="true" AllowReordering="true" AllowExcelExport="true" AllowPdfExport="true">
            <GridFilterSettings Type="Syncfusion.Blazor.Grids.FilterType.Menu"></GridFilterSettings>
            <GridEvents OnToolbarClick="ToolbarClick" TValue="UncertainPhrase"></GridEvents>
            <GridPageSettings PageCount="5" PageSizes="true"></GridPageSettings>
            <GridColumns>
                <GridColumn Field=@nameof(UncertainPhrase.Phrase) HeaderText="Phrase"></GridColumn>
              
                <GridColumn AutoFit="true" TextAlign="TextAlign.Center">
                    <Template>
                        @{
                            var up = (context as UncertainPhrase);
                            <a href="/uncertain-phrases/@up.Id/edit"><i class="fa fa-edit"></i></a>
                        }
                    </Template>
                </GridColumn>
            </GridColumns>
        </SfGrid>
    </div>
</div>

@code {
    SfGrid<UncertainPhrase> Grid;
    public List<UncertainPhrase> UncertainPhrases { get; set; }
    protected async override Task OnInitializedAsync()
    {
        await JS.ShowLoader();
        UncertainPhrases = UncertainPhraseService.GetAll().ToList();
        await JS.HideLoader();
    }

    public void ToolbarClick(Syncfusion.Blazor.Navigations.ClickEventArgs args)
    {
        if (args.Item.Id == "Grid_pdfexport")
        {
            this.Grid.PdfExport();
        }
        if (args.Item.Id == "Grid_excelexport")
        {
            this.Grid.ExcelExport();
        }
        if (args.Item.Id == "Grid_csvexport")
        {
            this.Grid.CsvExport();
        }
    }
}
